summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author LEVAI Daniel <leva@ecentrum.hu>2013-03-11 21:13:22 -0400
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 07:16:42 -0400
commitdc0aae038dfd01eb647bc8b1a8bf5b3f40295c45 (patch)
tree74621f6512feef9fe5ecb68672e226c98cfafe93
parentb701f2aee49a4d2b21ac14f33419a738574ff43e (diff)
downloadslackbuilds-dc0aae038dfd01eb647bc8b1a8bf5b3f40295c45.tar.gz
slackbuilds-dc0aae038dfd01eb647bc8b1a8bf5b3f40295c45.tar.xz
perl/perl-Class-Data-Inheritable: Added (Inheritable class data)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-Class-Data-Inheritable/README5
-rw-r--r--perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.SlackBuild84
-rw-r--r--perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.info10
-rw-r--r--perl/perl-Class-Data-Inheritable/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/perl/perl-Class-Data-Inheritable/README b/perl/perl-Class-Data-Inheritable/README
new file mode 100644
index 0000000000..d50a34aa36
--- /dev/null
+++ b/perl/perl-Class-Data-Inheritable/README
@@ -0,0 +1,5 @@
+perl-Class-Data-Inheritable (Inheritable, overridable class data)
+Class::Data::Inheritable is for creating accessor/mutators to class
+data. That is, if you want to store something about your class as a
+whole (instead of about a single object). This data is then inherited
+by your subclasses and can be overriden.
diff --git a/perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.SlackBuild b/perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.SlackBuild
new file mode 100644
index 0000000000..4f932aa607
--- /dev/null
+++ b/perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Written by (your name) (your contact information)
+
+PRGNAM=perl-Class-Data-Inheritable
+VERSION=${VERSION:-0.08}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README Changes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.info b/perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.info
new file mode 100644
index 0000000000..dfbaf40cf8
--- /dev/null
+++ b/perl/perl-Class-Data-Inheritable/perl-Class-Data-Inheritable.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Class-Data-Inheritable"
+VERSION="0.08"
+HOMEPAGE="http://search.cpan.org/~tmtm/Class-Data-Inheritable-0.08/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/Class-Data-Inheritable-0.08.tar.gz"
+MD5SUM="fc0fe65926eb8fb932743559feb54eb9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="LEVAI Daniel"
+EMAIL="leva@ecentrum.hu"
diff --git a/perl/perl-Class-Data-Inheritable/slack-desc b/perl/perl-Class-Data-Inheritable/slack-desc
new file mode 100644
index 0000000000..e5db05b785
--- /dev/null
+++ b/perl/perl-Class-Data-Inheritable/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Class-Data-Inheritable: perl-Class-Data-Inheritable (Inheritable, overridable class data)
+perl-Class-Data-Inheritable:
+perl-Class-Data-Inheritable: Class::Data::Inheritable is for creating accessor/mutators to class
+perl-Class-Data-Inheritable: data. That is, if you want to store something about your class as a
+perl-Class-Data-Inheritable: whole (instead of about a single object). This data is then inherited
+perl-Class-Data-Inheritable: by your subclasses and can be overriden.
+perl-Class-Data-Inheritable:
+perl-Class-Data-Inheritable:
+perl-Class-Data-Inheritable:
+perl-Class-Data-Inheritable:
+perl-Class-Data-Inheritable: